;definitions for the YM2610 registers

;AY38910
AY_FINEA:	EQU 0
AY_COARSEA:	EQU 1
AY_FINEB:	EQU 2
AY_COARSEB:	EQU 3
AY_FINEC:	EQU 4
AY_CAORSEC:	EQU 5
AY_NOISE:	EQU 6
AY_MIXER:	EQU 7
AY_VOLA:	EQU 8
AY_VOLB:	EQU 9
AY_VOLC:	EQU 10
AY_ENVFINE:	EQU 11
AY_ENVCOARSE:	EQU 12
AY_ENVSHAPE:	EQU 13
;ADPCM-A
PA_CTRL:	EQU $00
PA_MVOL:	EQU $01
PA_CVOL:	EQU $08
PA_STARTL:	EQU $10
PA_STARTH:	EQU $18
PA_ENDL:	EQU $20
PA_ENDH:	EQU $28
;ADPCM-B
PB_CTRL:	EQU $10
PB_LRSEL:	EQU $11
PB_STARTL:	EQU $12
PB_STARTH:	EQU $13
PB_ENDL:	EQU $14
PB_ENDH:	EQU $15
PB_FREQL:	EQU $19
PB_FREQH:	EQU $1A
PB_VOL:		EQU $1B
PB_FLAG:	EQU $1C
;FM
FM_LFO:		EQU $22
FM_TIMERMODE:	EQU $27
FM_KON:		EQU $28
FM_DETMUL:	EQU $30
FM_TL:		EQU $40
FM_KSAR:	EQU $50
FM_AMDR:	EQU $60
FM_SR:		EQU $70
FM_SLRR:	EQU $80
FM_SSG:		EQU $90
FM_FNUM:	EQU $A0
FM_FBALG:	EQU $B0
FM_LRLFO:	EQU $B4

;FM address register writes:
;sscc
;c: channel
;s: slot
;datasheet implies than 11 for channel is not valid, same for YM2612.  remaining channels are accessed in other address port

;FM KON:
;ssss0Ccc
;c: channel, 11 is illegal
;C: channel set select
;cc: channel select
;s: slot
;1 to s to key on, 0 to key off

;MAME mapping:
;3808      cch[0] = &F2610->CH[1];
;3809      cch[1] = &F2610->CH[2];
;3810      cch[2] = &F2610->CH[4];
;3811      cch[3] = &F2610->CH[5];

;1828  /* write a OPN register (0x30-0xff) */
;1829  static void OPNWriteReg(FM_OPN *OPN, int r, int v)
;1830  {
;1831      FM_CH *CH;
;1832      FM_SLOT *SLOT;
;1833  
;1834      UINT8 c = OPN_CHAN(r);
;1835  
;1836      if (c == 3) return; /* 0xX3,0xX7,0xXB,0xXF */
;1837  
;1838      if (r >= 0x100) c+=3;
;1839  
;1840      CH = OPN->P_CH;
;1841      CH = &CH[c];
;1842  
;1843      SLOT = &(CH->SLOT[OPN_SLOT(r)]);

